diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv4-interface-container.h ns-3.44/src/internet/helper/ipv4-interface-container.h
--- ns-3.43/src/internet/helper/ipv4-interface-container.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv4-interface-container.h	2025-03-09 16:55:49.383371000 -0700
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup ipv4
+ * @ingroup ipv4
  *
- * \brief holds a vector of std::pair of Ptr<Ipv4> and interface index.
+ * @brief holds a vector of std::pair of Ptr<Ipv4> and interface index.
  *
  * Typically ns-3 Ipv4Interfaces are installed on devices using an Ipv4 address
  * helper.  The helper's Assign() method takes a NetDeviceContainer which holds
@@ -45,7 +45,7 @@
 {
   public:
     /**
-     * \brief Container Const Iterator for pairs of Ipv4 smart pointer / Interface Index.
+     * @brief Container Const Iterator for pairs of Ipv4 smart pointer / Interface Index.
      */
     typedef std::vector<std::pair<Ptr<Ipv4>, uint32_t>>::const_iterator Iterator;
 
@@ -56,12 +56,12 @@
 
     /**
      * Concatenate the entries in the other container with ours.
-     * \param other container
+     * @param other container
      */
     void Add(const Ipv4InterfaceContainer& other);
 
     /**
-     * \brief Get an iterator which refers to the first pair in the
+     * @brief Get an iterator which refers to the first pair in the
      * container.
      *
      * Pairs can be retrieved from the container in two ways.  First,
@@ -69,21 +69,21 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the pairs
      *
-     * \code
+     * @code
      *   Ipv4InterfaceContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       std::pair<Ptr<Ipv4>, uint32_t> pair = *i;
      *       method (pair.first, pair.second);  // use the pair
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns an iterator which refers to the first pair in the container.
+     * @returns an iterator which refers to the first pair in the container.
      */
     Iterator Begin() const;
 
     /**
-     * \brief Get an iterator which indicates past-the-last Node in the
+     * @brief Get an iterator which indicates past-the-last Node in the
      * container.
      *
      * Nodes can be retrieved from the container in two ways.  First,
@@ -91,21 +91,21 @@
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the Nodes
      *
-     * \code
+     * @code
      *   NodeContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       std::pair<Ptr<Ipv4>, uint32_t> pair = *i;
      *       method (pair.first, pair.second);  // use the pair
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns an iterator which indicates an ending condition for a loop.
+     * @returns an iterator which indicates an ending condition for a loop.
      */
     Iterator End() const;
 
     /**
-     * \returns the number of Ptr<Ipv4> and interface pairs stored in this
+     * @returns the number of Ptr<Ipv4> and interface pairs stored in this
      * Ipv4InterfaceContainer.
      *
      * Pairs can be retrieved from the container in two ways.  First,
@@ -114,23 +114,23 @@
      * define an ending condition in a for-loop that runs through the stored
      * Nodes
      *
-     * \code
+     * @code
      *   uint32_t nNodes = container.GetN ();
      *   for (uint32_t i = 0 i < nNodes; ++i)
      *     {
      *       std::pair<Ptr<Ipv4>, uint32_t> pair = container.Get (i);
      *       method (pair.first, pair.second);  // use the pair
      *     }
-     * \endcode
+     * @endcode
      *
-     * \returns the number of Ptr<Node> stored in this container.
+     * @returns the number of Ptr<Node> stored in this container.
      */
     uint32_t GetN() const;
 
     /**
-     * \param i index of ipInterfacePair in container
-     * \param j interface address index (if interface has multiple addresses)
-     * \returns the IPv4 address of the j'th address of the interface
+     * @param i index of ipInterfacePair in container
+     * @param j interface address index (if interface has multiple addresses)
+     * @returns the IPv4 address of the j'th address of the interface
      *  corresponding to index i.
      *
      * If the second parameter is omitted, the zeroth indexed address of
@@ -140,9 +140,9 @@
     Ipv4Address GetAddress(uint32_t i, uint32_t j = 0) const;
 
     /**
-     * \brief Set a metric for the given interface
-     * \param i Interface index
-     * \param metric the interface metric
+     * @brief Set a metric for the given interface
+     * @param i Interface index
+     * @param metric the interface metric
      */
     void SetMetric(uint32_t i, uint16_t metric);
 
@@ -150,8 +150,8 @@
      * Manually add an entry to the container consisting of the individual parts
      * of an entry std::pair.
      *
-     * \param ipv4 pointer to Ipv4 object
-     * \param interface interface index of the Ipv4Interface to add to the container
+     * @param ipv4 pointer to Ipv4 object
+     * @param interface interface index of the Ipv4Interface to add to the container
      */
     void Add(Ptr<Ipv4> ipv4, uint32_t interface);
 
@@ -159,7 +159,7 @@
      * Manually add an entry to the container consisting of a previously composed
      * entry std::pair.
      *
-     * \param ipInterfacePair the pair of a pointer to Ipv4 object and interface index of the
+     * @param ipInterfacePair the pair of a pointer to Ipv4 object and interface index of the
      * Ipv4Interface to add to the container
      */
     void Add(std::pair<Ptr<Ipv4>, uint32_t> ipInterfacePair);
@@ -168,9 +168,9 @@
      * Manually add an entry to the container consisting of the individual parts
      * of an entry std::pair.
      *
-     * \param ipv4Name std:string referring to the saved name of an Ipv4 Object that
+     * @param ipv4Name std:string referring to the saved name of an Ipv4 Object that
      *        has been previously named using the Object Name Service.
-     * \param interface interface index of the Ipv4Interface to add to the container
+     * @param interface interface index of the Ipv4Interface to add to the container
      */
     void Add(std::string ipv4Name, uint32_t interface);
 
@@ -178,33 +178,33 @@
      * Get the std::pair of an Ptr<Ipv4> and interface stored at the location
      * specified by the index.
      *
-     * \param i the index of the container entry to retrieve.
-     * \return the std::pair of a Ptr<Ipv4> and an interface index
+     * @param i the index of the container entry to retrieve.
+     * @return the std::pair of a Ptr<Ipv4> and an interface index
      *
-     * \note The returned Ptr<Ipv4> cannot be used directly to fetch the
+     * @note The returned Ptr<Ipv4> cannot be used directly to fetch the
      *       Ipv4Interface using the returned index (the GetInterface () method
      *       is provided in class Ipv4L3Protocol, and not class Ipv4). An
      *       example usage is provided below.
      *
-     * \code
+     * @code
      *   Ipv4InterfaceContainer c;
      *   ...
      *   std::pair<Ptr<Ipv4>, uint32_t> returnValue = c.Get (0);
      *   Ptr<Ipv4> ipv4 = returnValue.first;
      *   uint32_t index = returnValue.second;
      *   Ptr<Ipv4Interface> iface =  DynamicCast<Ipv4L3Protocol> (ipv4)->GetInterface (index);
-     * \endcode
+     * @endcode
      */
     std::pair<Ptr<Ipv4>, uint32_t> Get(uint32_t i) const;
 
   private:
     /**
-     * \brief Container for pairs of Ipv4 smart pointer / Interface Index.
+     * @brief Container for pairs of Ipv4 smart pointer / Interface Index.
      */
     typedef std::vector<std::pair<Ptr<Ipv4>, uint32_t>> InterfaceVector;
 
     /**
-     * \brief List of IPv4 stack and interfaces index.
+     * @brief List of IPv4 stack and interfaces index.
      */
     InterfaceVector m_interfaces;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv4-list-routing-helper.h ns-3.44/src/internet/helper/ipv4-list-routing-helper.h
--- ns-3.43/src/internet/helper/ipv4-list-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv4-list-routing-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup ipv4Helpers
+ * @ingroup ipv4Helpers
  *
- * \brief Helper class that adds ns3::Ipv4ListRouting objects
+ * @brief Helper class that adds ns3::Ipv4ListRouting objects
  *
  * This class is expected to be used in conjunction with
  * ns3::InternetStackHelper::SetRoutingHelper
@@ -39,9 +39,9 @@
     ~Ipv4ListRoutingHelper() override;
 
     /**
-     * \brief Construct an Ipv4ListRoutingHelper from another previously
+     * @brief Construct an Ipv4ListRoutingHelper from another previously
      * initialized instance (Copy Constructor).
-     * \param o object to be copied
+     * @param o object to be copied
      */
     Ipv4ListRoutingHelper(const Ipv4ListRoutingHelper& o);
 
@@ -49,7 +49,7 @@
     Ipv4ListRoutingHelper& operator=(const Ipv4ListRoutingHelper&) = delete;
 
     /**
-     * \returns pointer to clone of this Ipv4ListRoutingHelper
+     * @returns pointer to clone of this Ipv4ListRoutingHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -57,8 +57,8 @@
     Ipv4ListRoutingHelper* Copy() const override;
 
     /**
-     * \param routing a routing helper
-     * \param priority the priority of the associated helper
+     * @param routing a routing helper
+     * @param priority the priority of the associated helper
      *
      * Store in the internal list a reference to the input routing helper
      * and associated priority. These helpers will be used later by
@@ -68,8 +68,8 @@
      */
     void Add(const Ipv4RoutingHelper& routing, int16_t priority);
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      */
@@ -77,7 +77,7 @@
 
   private:
     /**
-     * \brief Container for pairs of Ipv4RoutingHelper pointer / priority.
+     * @brief Container for pairs of Ipv4RoutingHelper pointer / priority.
      */
     std::list<std::pair<const Ipv4RoutingHelper*, int16_t>> m_list;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv4-routing-helper.h ns-3.44/src/internet/helper/ipv4-routing-helper.h
--- ns-3.43/src/internet/helper/ipv4-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv4-routing-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -21,9 +21,9 @@
 class Node;
 
 /**
- * \ingroup ipv4Helpers
+ * @ingroup ipv4Helpers
  *
- * \brief a factory to create ns3::Ipv4RoutingProtocol objects
+ * @brief a factory to create ns3::Ipv4RoutingProtocol objects
  *
  * For each new routing protocol created as a subclass of
  * ns3::Ipv4RoutingProtocol, you need to create a subclass of
@@ -40,8 +40,8 @@
     virtual ~Ipv4RoutingHelper();
 
     /**
-     * \brief virtual constructor
-     * \returns pointer to clone of this Ipv4RoutingHelper
+     * @brief virtual constructor
+     * @returns pointer to clone of this Ipv4RoutingHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -49,16 +49,16 @@
     virtual Ipv4RoutingHelper* Copy() const = 0;
 
     /**
-     * \param node the node within which the new routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node within which the new routing protocol will run
+     * @returns a newly-created routing protocol
      */
     virtual Ptr<Ipv4RoutingProtocol> Create(Ptr<Node> node) const = 0;
 
     /**
-     * \brief prints the routing tables of all nodes at a particular time.
-     * \param printTime the time at which the routing table is supposed to be printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of all nodes at a particular time.
+     * @param printTime the time at which the routing table is supposed to be printed.
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv4RoutingProtocol stored in the Ipv4 object, for all nodes at the
@@ -69,10 +69,10 @@
                                        Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the routing tables of all nodes at regular intervals specified by user.
-     * \param printInterval the time interval for which the routing table is supposed to be printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of all nodes at regular intervals specified by user.
+     * @param printInterval the time interval for which the routing table is supposed to be printed.
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv4RoutingProtocol stored in the Ipv4 object, for all nodes at the
@@ -83,11 +83,11 @@
                                           Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the routing tables of a node at a particular time.
-     * \param printTime the time at which the routing table is supposed to be printed.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node at a particular time.
+     * @param printTime the time at which the routing table is supposed to be printed.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv4RoutingProtocol stored in the Ipv4 object, for the selected node
@@ -99,11 +99,11 @@
                                     Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the routing tables of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the routing table is supposed to be printed.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the routing table is supposed to be printed.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv4RoutingProtocol stored in the Ipv4 object, for the selected node
@@ -115,15 +115,15 @@
                                        Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of all nodes at a particular time.
-     * \param printTime the time at which the neighbor cache is supposed to be printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the neighbor cache of all nodes at a particular time.
+     * @param printTime the time at which the neighbor cache is supposed to be printed.
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintArpCache() method of the
      * ArpCache associated with each Ipv4Interface stored in the Ipv4 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        10.1.1.2 dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -133,16 +133,16 @@
                                         Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of all nodes at regular intervals specified by user.
-     * \param printInterval the time interval for which the neighbor cache is supposed to be
+     * @brief prints the neighbor cache of all nodes at regular intervals specified by user.
+     * @param printInterval the time interval for which the neighbor cache is supposed to be
      printed.
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintArpCache() method of the
      * ArpCache associated with each Ipv4Interface stored in the Ipv4 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        10.1.1.2 dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -152,16 +152,16 @@
                                            Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of a node at a particular time.
-     * \param printTime the time at which the neighbor cache is supposed to be printed.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the neighbor cache of a node at a particular time.
+     * @param printTime the time at which the neighbor cache is supposed to be printed.
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintArpCache() method of the
      * ArpCache associated with each Ipv4Interface stored in the Ipv4 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        10.1.1.2 dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -172,17 +172,17 @@
                                      Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the neighbor cache is supposed to be
+     * @brief prints the neighbor cache of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the neighbor cache is supposed to be
      printed.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintArpCache() method of the
      * ArpCache associated with each Ipv4Interface stored in the Ipv4 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        10.1.1.2 dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -193,23 +193,23 @@
                                         Time::Unit unit = Time::S);
 
     /**
-     * \brief Request a specified routing protocol &lt;T&gt; from Ipv4RoutingProtocol protocol
+     * @brief Request a specified routing protocol &lt;T&gt; from Ipv4RoutingProtocol protocol
      *
      * If protocol is Ipv4ListRouting, then protocol will be searched in the list,
      * otherwise a simple DynamicCast will be performed
      *
-     * \param protocol Smart pointer to Ipv4RoutingProtocol object
-     * \return a Smart Pointer to the requested protocol (zero if the protocol can't be found)
+     * @param protocol Smart pointer to Ipv4RoutingProtocol object
+     * @return a Smart Pointer to the requested protocol (zero if the protocol can't be found)
      */
     template <class T>
     static Ptr<T> GetRouting(Ptr<Ipv4RoutingProtocol> protocol);
 
   private:
     /**
-     * \brief prints the routing tables of a node.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv4RoutingProtocol stored in the Ipv4 object;
@@ -218,11 +218,11 @@
     static void Print(Ptr<Node> node, Ptr<OutputStreamWrapper> stream, Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the routing tables of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the routing table is supposed to be printed.
-     * \param node The node ptr for which we need the routing table to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the routing tables of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the routing table is supposed to be printed.
+     * @param node The node ptr for which we need the routing table to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintRoutingTable() method of the
      * Ipv4RoutingProtocol stored in the Ipv4 object, for the selected node
@@ -234,15 +234,15 @@
                            Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of a node.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @brief prints the neighbor cache of a node.
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintArpCache() method of the
      * ArpCache associated with each Ipv4Interface stored in the Ipv4 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        10.1.1.2 dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
@@ -252,17 +252,17 @@
                               Time::Unit unit = Time::S);
 
     /**
-     * \brief prints the neighbor cache of a node at regular intervals specified by user.
-     * \param printInterval the time interval for which the neighbor cache is supposed to be
+     * @brief prints the neighbor cache of a node at regular intervals specified by user.
+     * @param printInterval the time interval for which the neighbor cache is supposed to be
      printed.
-     * \param node The node ptr for which we need the neighbor cache to be printed
-     * \param stream The output stream object to use
-     * \param unit The time unit to be used in the report
+     * @param node The node ptr for which we need the neighbor cache to be printed
+     * @param stream The output stream object to use
+     * @param unit The time unit to be used in the report
      *
      * This method calls the PrintArpCache() method of the
      * ArpCache associated with each Ipv4Interface stored in the Ipv4 object, for all nodes at the
      * specified time. The output format is similar to:
-     * \verbatim
+     * @verbatim
        10.1.1.2 dev 1 lladdr 00-06-00:00:00:00:00:02 REACHABLE
        \endverbatim
      * Note that the MAC address is printed as "type"-"size"-"actual address"
